Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.codecs
[Java] Class NoneEncoder

    java.lang.Object
      org.codehaus.groovy.grails.plugins.codecs.NoneEncoder

All Implemented Interfaces:
  StreamingEncoder

    public class NoneEncoder
    extends java.lang.Object

Authors:
  Lari Hotari

Since:
  2.3

Method Summary
`java.lang.Object` | `encode(java.lang.Object o)`
`void` | `encodeToStream(Encoder thisInstance, java.lang.CharSequence source, int offset, int len, EncodedAppender appender, EncodingState encodingState)`
`CodecIdentifier` | `getCodecIdentifier()`
`boolean` | `isApplyToSafelyEncoded()`
`boolean` | `isSafe()`
`void` | `markEncoded(java.lang.CharSequence string)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### encode

    public java.lang.Object encode(java.lang.Object o)

### encodeToStream

    public void encodeToStream(Encoder thisInstance, java.lang.CharSequence source, int offset, int len, EncodedAppender appender, EncodingState encodingState)

### getCodecIdentifier

    public CodecIdentifier getCodecIdentifier()

### isApplyToSafelyEncoded

    public boolean isApplyToSafelyEncoded()

### isSafe

    public boolean isSafe()

### markEncoded

    public void markEncoded(java.lang.CharSequence string)

Groovy Documentation